local monocle = require("#monocle")
local celeste = require("#celeste")

function onBegin()
    disableMovement()
	local return_pos = getLevel().Camera.Position
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(1540, -20), 9, monocle.Ease.CubeInOut))
	setFlag("logo", true)
	wait(2)
	coroutine.yield(celeste.CutsceneEntity.CameraTo(return_pos, 4.5, monocle.Ease.CubeInOut))
    setFlag("logo", false)
    endCutscene()
end

function onEnd(room)
    setFlag("logo", false)
    enableMovement()
end

function onEnter(player) end
function onStay(player) end
function onLeave(player) end